import "./tasks/samtools_index.wdl" as samtools_index
import "./tasks/spladder.wdl" as spladder


workflow {{ project_name }} {
    String sample_id
    File bam_file
    File reference_gtf_file
    

    String spladder_docker
    String spladder_cluster
    String samtools_docker
    String samtools_cluster
    String disk_size	

	call samtools_index.samtools_index as samtools_index {
		input:
		bam_file=bam_file,
		docker=samtools_docker,
		cluster_config=samtools_cluster,
		disk_size=disk_size
	}
}

	call spladder.spladder as spladder {
		input:
		reference_gtf_file=reference_gtf_file,
		sample_id=sample_id,
		bam=samtools.bam,
		docker=spladder_docker,
		cluster=spladder_cluster,
		disk_size=disk_size
	}
}